Relativity Configuration Dialog Box

The Relativity Configuration dialog (reached from the Control Panel) is used to configure information that is not specific to a single data source. This information is stored in the Windows registry at keys under HKEY_LOCAL_MACHINE\Software\Micro Focus\Relativity\RELDBMS.INI.

This dialog is a Windows property sheet ("tabbed dialog"). Select from the following list of tabs:

Setup Options
MF File Manager Options


Setup Options Page

The Setup Options dialog is used to configure information that is used when creating data sources and information global to the whole Data Manager.

Option | Description
Micro Focus tab | This tab causes the MF File Manager Options Page to be displayed.
Create File DSNs automatically check box This check box controls if a "file data source" is created on the Windows machine each time a Relativity data source is created. Some software, including MS Query and Excel, recognize only file data sources.

  • If checked (the default), a "file data source" is created on the Windows machine each time a Relativity data source is created.
  • If not checked, file data sources are not created when Relativity data sources are created. Do not uncheck this box if you use MS Query or Excel or any other program which requires file data sources.
Default Setup Directory text field | This text field contains the directory name that is the initial working directory in the Get Open File Name dialog box when creating files.
Temporary Files Directory text field | This text field contains the directory name in which the Data Manager puts any temporary files it may need to create.
Show Deprecated Stored Procedures check box | When this check box is checked, the Relativity 4.0 DBA stored procedures, which were deprecated in the Relativity 4.1 release, will be enabled. The 4.0 stored procedures DBA_AddFileName, DBA_DeleteFileName, DBA_ListFileNames, DBA_ListTableConns, DBA_ModifyFileName will be restored. In particular, in Relativity 4.1, the stored procedure DBA_ListTableConns changed the name of the AccessNameID column to FileConnID and the name of the AccessName column to PathName. This option restores the original column names.
Default Literals to DECIMAL check box | When this check box is checked, columns created on numeric-literals constants that contain a decimal point but no exponent will result in a column of type SQL_DECIMAL, rather than SQL_REAL or SQL_DOUBLE. This check box configures only User Data Sources for the current user, and does not affect System Data Sources. See DefaultLiteralToDecimal in the Data Manager or Data Client help files for instructions to configure Data Servers and System Data Sources.
Maximum BCD Precision numeric field | This numeric field sets the size (precision) of a scalar function CONVERT which has a value_exp argument that is an expression or a numeric literal with an exponent, and which has a data_type argument of SQL_DECIMAL. The decimal digits (scale) will be half of the value of the Maximum BCD Precision field. The default is to create a SQL_DECIMAL column with a default size (precision) of 74 and a decimal digits (scale) of 37. This check box configures only User Data Sources for the current user. See BCDMaxPrecision in the Data Manager and Data Client help files to configure Data Servers and System Data Sources.
Maximum connections per process numeric field | This numeric field is the maximum number of ODBC connections allowed from each application program (process) to a single-tier (not client/server) version of Relativity. The minimum is one; the maximum is 256. If not specified, the default is 32.


MF File Manager Page

MF File Manager Options Page

See Also

The MF File Manager dialog is used to configure file manager options that are common to all Micro Focus data sources. Option values set here apply to all Micro Focus data sources which do not specify conflicting values.

Option | Description
Global tab | This tab causes the Setup Options Page (Global) to be displayed.
Created Tables Options group | The options in this group are used to configure the file format of indexed files that are created as a result of SQL CREATE TABLE statements.
New File Format list This list box specifies the file format of indexed files that are created as a result of SQL CREATE TABLE statements. The available entries are as follows. The number in parentheses after each name is a decimal number called the FILETYPE.
  • <None>
  • Micro Focus (0)
  • Btrieve (6)
  • C-ISAM (1)
  • LEVEL II COBOL (2)
  • IDXFORMAT"4" (4)
  • IDXFORMAT"8" (8)

If the New File Format is <None> then the default Data File Format for the data source is used. The default Data File Format for a data source is stored in the Catalog; it is specified on the Designer's Data Source Option Page or the DBA's System Option Page. If the Catalog does not contain a default Data File Format, the Catalog's file format is used. Note that this entry does not specify the format for existing files.

Data Compress Num numeric field | This numeric field specifies the type data compression number to be used when new files are created as a result of created tables. This field is the same as the Micro Focus COBOL DATACOMPRESS compiler option. The value of 0 indicates that no compression of data records is to take place. The value of 1 indicates that compression algorithm 1 is to be used.
Key Compression check boxes | These three check boxes control compression of keys in new files that are created as a result of created tables.
Key Compression - Trailing Spaces check box This check box indicates whether compression of trailing spaces is to occur on the keys of new files that are created as a result of created tables.
  • If checked, the trailing spaces are compressed.
  • If not checked, the trailing spaces are not compressed.
Key Compression - Leading Characters check box This check box indicates whether compression of leading characters is to occur on the keys of new files that are created as a result of created tables.

  • If checked, the leading characters that are the same as in the previous key are compressed.
  • If not checked, the leading characters that are the same as in the previous key are not compressed.
Key Compression - Duplicates check box This check box indicates whether compression of duplicate keys is to occur on the keys of new files that are created as a result of created tables.

  • If checked, the repetitions of duplicate keys are compressed.
  • If not checked, the repetitions of duplicate keys are not compressed.
Key Compression - Sparse Character Num numeric field This numeric field specifies decimal number of the sparse character for keys of new files that are created as a result of created tables.
  • If this field contains a value, keys in the file that contain only this value are suppressed.
  • If this field does not contain a value, the sparse character is disabled.
Fixed Drives text field This field is a string of letters; separators are allowed but ignored. Each letter represents a drive letter which refers to a fixed, unchanging location. For example, a network drive that is always associated with the same server directory is "fixed". A network drive that is associated with different server directories at different times is not fixed. Also, a removable drive is not fixed.

Relativity can perform certain optimizations only for files located on fixed drives. These optimizations require that a given file name always refer to the same physical file. To be safe, Relativity assumes that network drives are not fixed. This option tells Relativity which drives it can trust to be fixed.

File Handler DLL Path text field and Browse button This field specifies the full path of the Micro Focus File Handler used by the Relativity server. The DLL is usually named mffh.dll and is usually located in the bin subdirectory of the Enterprise Developer, Visual COBOL, COBOL Server, or Net Express installation directory. The Browse button opens a dialog which allows you to easily navigate to the file and select it.

This field is useful if you wish to change which File Handler is used after Relativity is installed. For example, if you just installed a new Visual COBOL in a location different than the previous one, then this field can be used to update the path to the new File Handler so that Relativity can use it.

EXTFH Configuration File Path text field and Browse button This field specifies the full path of an EXTFH Configuration File for the Micro Focus File Handler. The Browse button opens a dialog which allows you to easily navigate to the file and select it.

This field is useful any time you wish to change which EXTFH Configuration File is being used.

See Also

Relativity Configuration Dialog


Relativity Configuration

The following topics discuss the Relativity Configuration utility.

Relativity Configuration Dialog Box
Setup Options Dialog Box
MF File Manager Dialog Box


Micro Focus File Format Definitions

This page contains the definitions of Micro Focus file formats.

File Format | FILETYPE | Description
Catalog Default |  | The file format value <None>, when specified for a catalog, indicates that no specific format is requested. This will result in the standard Micro Focus indexed file format being used.
Data File Default |  | The file format value <None>, when specified for a data file, specifies that no specific format is requested. This will result in a new data file having the file format specified by Catalog Default for existing files or, if there is not a Catalog Default, it will be the same file format as the catalog.
Micro Focus | 0 | The value Micro Focus specifies the file as the default Micro Focus file format.
Btrieve | 6 | The value Btrieve specifies the file as a Btrieve file format.
C-ISAM | 1 | The value C-ISAM will specifies the file as a C-ISAM file format.
LEVEL II | 2 | The value LEVEL II COBOL specifies the file as a Micro Focus Level II indexed file format.
IDXFORMAT"4" | 4 | The value IDXFORMAT"4" specifies the file as an optimized form of the format used by this system, for fast duplicate key handling.
IDXFORMAT"8" | 8 | The value IDXFORMAT"8" specifies a large file format.


Format of Existing Files

By default, the Relativity driver assumes that data files are the same Micro Focus file format as the catalog. This can be overridden by explicitly attaching a file format to a file's connection or by assigning a default for the catalog.

File Connections

The primary means of associating a file format with a data file is by placing a format suffix on the file access name using the Relativity Designer or Administrator.

  • In the Relativity Designer, use the Connections menu item under the Security menu.
  • In the Administrator, use the Connections menu item under the Edit menu.

The suffix is a name that identifies the file’s format and is delimited by brackets ([]). The format names can be:

  • Default
  • Btrieve
  • CISAM
  • LEVELII
  • IDX4
  • IDX8
  • The brackets may also contain a decimal number

Catalog Default

Another means of specifying a file format is to choose a default data file format for the catalog via the Relativity Designer or Administrator Options dialog.

  • In the Designer, it is on the Data Source tab.
  • In the Administrator, it is on the System tab.

Selecting a data file format other than none on the Options dialog, specifies the format for all other data files in the catalog that do not have an explicit file format suffix specified by the file connections.


Micro Focus File Suffix Definitions

Micro Focus File Format Suffixes

This page contains the suffixes that can be added to Micro Focus file names to specify the format of the file.

Default File Format Suffix

The format name Default will specify the file as a system-specific default format, which is the standard Micro Focus indexed file format. (FILETYPE "0")

Btrieve File Format Suffix

The format name Btrieve will specify the file as a Btrieve file. (FILETYPE "6")

CISAM File Format Suffix

The format name CISAM will specify the file as a C-ISAM file. (FILETYPE "1")

Level II File Format Suffix

The format name LEVELII will specify the file as a Micro Focus Level II format file. (FILETYPE "2")

IDX4 File Format Suffix

The format name IDX4 will specify an optimized form of the format used by this system, for fast duplicate key handling. (FILETYPE "4")

IDX8 File Format Suffix

The format name IDX8 will specify a large file format. (FILETYPE "8")

Numeric File Format Suffix

If the format is a number, it is the same as the value specified in the Micro Focus COBOL FILETYPE directive. See the Visual COBOL, COBOL System Reference manual for more details.